Skip to main content
POST
Order ISP IPs

Authorizations

Authorization
string
header
required

A reseller key from the panel, starting with plr_

Headers

Idempotency-Key
string
required

A new random value per action. A retry with the same key returns the first result

Required string length: 8 - 100

Body

application/json
product
string
required

id from GET /isp/products

Maximum string length: 100
quantity
integer
required

Within the product's min_quantity and max_quantity. 256 for a subnet

Required range: 1 <= x <= 256
days
enum<integer>
required

One of the product's terms_days

Available options:
30,
60,
90,
360
use_case
enum<string>
required
Available options:
Account management,
E-commerce and marketplaces,
Ads and marketing,
Web data and monitoring,
Other
use_case_note
string

Required when use_case is Other

Maximum string length: 500

Response

Ordered

data
object